<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    use WithoutModelEvents;

    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        $this->call(RolesAndPermissionsSeeder::class);
        $this->call(AdminUserSeeder::class);
        $this->call(EventSeeder::class);
        $this->call(BroadcastSeeder::class);
        $this->call(TestUserSeeder::class);
        $this->call(FamilyLinkSeeder::class);
        $this->call(ChatGroupSeeder::class);
    }
}
